#pragma once
#include "Entity.h"
#define MENURESETKEY_PLAYER2KEYBOARD_CREATENAME L"menutext_player2keyboard_resetkey"
class MenuResetKey_Player2Keyboard :
	public Entity
{
public:
	MenuResetKey_Player2Keyboard();
	void Step() override;
	std::weak_ptr<Entity> GetEntityByType(const wchar_t* name);
private:
	const int counter_max = 200;
	int counter = counter_max;
};

std::shared_ptr<Entity> CreateMenuResetKey_Player2Keyboard();